package com.template.services;

import com.template.model.pojo.SmartBuildMeter;
import com.template.model.pojo.SmartBuildMeter;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-12-04
 */
public interface SmartBuildMeterService extends IService<SmartBuildMeter> {
    int insertSmartBuildMeter(SmartBuildMeter rns);

    int updateSmartBuildMeter(SmartBuildMeter rns);

    PageUtils<SmartBuildMeter> queryPageSmartBuildMeters(int currentPage, int pageCount, String name);

    int deleteSmartBuildMeterById(int id);

    SmartBuildMeter getSmartById(int id);
}
